# $Revision: 1.19 $, $Date: 2003/07/02 07:16:01 $
Summary:	Enterprise Volume Management System utilities
Summary(pl):	Narzdzia do Enterprise Volume Management System
Name:		evms
Version:	2.1.0
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	fa5b6dcfec8b3b11123d904754037a67
URL:		http://evms.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	e2fsprogs-devel
BuildRequires:	glibc-static
BuildRequires:	glib-devel >= 1.2.0
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	ncurses-devel
Conflicts:	kernel < 2.4.19
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		_libdir		/lib

%description
This package contains the user-space tools needed to manage EVMS
(Enterprise Volume Management System) volumes.

In order to use these user-space tools, you must also have your kernel
patched with the most recent EVMS code.

%description -l pl
Ten pakiet zawiera narzdzia potrzebne do zarzdzania wolumenami
dyskowymi EVMS (Enterprise Volume Management System).

Aby uywa tych narzdzi, musisz mie jdro z odpowiednio now at
EVMS.

%package devel
Summary:	Header files and develpment documentation for EVMS
Summary(es):	Arquivos de cabealho e bibliotecas de desenvolvimento para EVMS
Summary(pl):	Pliki nagwkowe i dokumetacja do EVMS
Summary(pt_BR):	Bibliotecas e arquivos de incluso para a EVMS
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and develpment documentation for EVMS.

%description devel -l pl
Pliki nagwkowe oraz biblioteki developerskie EVMS.

%package static
Summary:	Static EVMS libraries
Summary(es):	Biblioteca esttica usada no desenvolvimento de aplicativos com EVMS
Summary(pl):	Biblioteka statyczna EVMS
Summary(pt_BR):	Biblioteca esttica de desenvolvimento
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static EVMS libraries.

%description static -l pl
Statyczne biblioteki EVMS.

%package ncurses
Summary:	Ncurses interface for EVMS
Summary(pl):	Interfejs uytkownika w ncurses dla EVMS
Group:		Applications/System
Requires:	%{name} = %{version}

%description ncurses
Ncurses interface for EVMS.

%description ncurses -l pl
Graficzny interfejs uytkownika w ncurses dla EVMS.

%package X11
Summary:	GUI interface for EVMS
Summary(pl):	Graficzny interfejs uytkownika dla EVMS
Group:		X11/Applications
Requires:	%{name} = %{version}

%description X11
GUI interface for EVMS.

%description X11 -l pl
Graficzny interfejs uytkownika dla EVMS.

%prep
%setup -q

%build
%{__autoconf}
%configure \
	--with-plugins=all \
	--with-interfaces=all \
	--with-kernel=%{_kernelsrcdir}

%{__make} OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install doc/evms.conf $RPM_BUILD_ROOT/etc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog INSTALL.HA PLUGIN.IDS TERMINOLOGY
%config(noreplace) %verify(not size mtime md5) /etc/evms.conf
%attr(755,root,root) %{_sbindir}/evms*
%attr(755,root,root) %{_sbindir}/get*
%dir %{_libdir}/evms
%attr(755,root,root) %{_libdir}/evms/*.so
%attr(755,root,root) %{_libdir}/libdlist-*.so.*
%attr(755,root,root) %{_libdir}/libevms-*.so.*
%{_mandir}/man8/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/evms
%attr(755,root,root) %{_libdir}/libdlist.so
%attr(755,root,root) %{_libdir}/libevms.so

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files ncurses
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/evmsn

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/evmsgui

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: evms.spec,v $
Revision 1.19  2003/07/02 07:16:01  orzech
- up to 2.1.0

Revision 1.18  2003/05/29 19:58:54  orzech
- up to 2.0.1

Revision 1.17  2003/05/26 16:24:57  malekith
- massive attack: adding Source-md5

Revision 1.16  2003/05/25 05:47:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/04/10 07:40:18  misiek
- updated to 2.0.0

Revision 1.14  2003/02/18 06:52:45  orzech
- up to 1.9.0 - builds, not tested

Revision 1.13  2002/11/27 19:36:44  juandon
- new %%doc

Revision 1.12  2002/10/21 17:30:23  baggins
- up to 1.2.0

Revision 1.11  2002/08/24 16:14:53  misiek
- updated to 1.1.0 (requires kernel 2.4.19 or gigher)

Revision 1.10  2002/05/21 23:13:00  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/05/09 12:59:01  misiek
- updated to 1.0.1

Revision 1.8  2002/04/25 16:16:14  arturs
fixed a small typo

Revision 1.7  2002/04/04 22:19:13  misiek
- updated to 1.0.0

Revision 1.6  2002/03/19 19:35:18  misiek
BR: glibc-static

Revision 1.5  2002/03/19 13:15:23  misiek
- fixed Groups
- use DESTDIR style
- move libs and modules to /lib
- release 2

Revision 1.4  2002/03/17 20:42:04  misiek
- updated to 0.9.2
- devel, static, ncurses (frontend) and X11 (gtk frontend) subpackages

Revision 1.3  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 09:21:44  qboosh
- adapte(rize)d to PLD

* Mon Jan 14 2002 Kevin Corry <corryk@us.ibm.com>
- updated necessary entries for 0.9.0 release.
- added evms_rediscover utility.

* Tue Dec 11 2001 Kevin Corry <corryk@us.ibm.com>
- updated necessary entries for 0.2.4 release.
- added text-mode UI, dev-node fixup program, new LVM utilities, MD region
  manager, and AIX region manager.

* Mon Nov 5 2001 Kevin Corry <corryk@us.ibm.com>
- updated necessary entries for 0.2.3 release.

* Fri Nov 2 2001 Kevin Corry <corryk@us.ibm.com>
- updated necessary entries for 0.2.2 release.

* Tue Oct 23 2001 Kevin Corry <corryk@us.ibm.com>
- added comments about requiring kernel patch and rebuild

* Sat Oct 20 2001 Kevin Corry <corryk@us.ibm.com>
- added OS/2 region manager library
- added more LVM-compatible utilities

* Thu Oct 11 2001 Kevin Corry <corryk@us.ibm.com>
- added new LVM-compatible utilities
- updated version numbers of all plugin libraries

* Tue Oct 9 2001 Hollis Blanchard <hollis@austin.ibm.com>
- added %post ldconfig (so the libevms.so symlink is created)
- removed BBR makefile patch
- autoconf before configure

* Sun Oct 7 2001 Hollis Blanchard <hollis@austin.ibm.com>
- initial spec
